Skip to main content
POST
/
cabinet
/
subscription
/
purchase
Submit Purchase
curl --request POST \
  --url https://api.example.com/cabinet/subscription/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "selection": {
    "period_id": "<string>",
    "period_days": 1825,
    "traffic_value": 50000,
    "servers": [
      "<string>"
    ],
    "devices": 50
  }
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.bedolagam.ru/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to preview purchase pricing.

selection
PurchaseSelectionRequest · object
required

User's selection for subscription purchase.

Response

Successful Response

The response is of type Response Submit Purchase Cabinet Subscription Purchase Post · object.